Index: send.php
===================================================================
--- send.php	(revision 3866)
+++ send.php	(working copy)
@@ -29,13 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.email_response.php");
-require_once(APP_INC_PATH . "class.draft.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("send.tpl.html");
Index: self_assign.php
===================================================================
--- self_assign.php	(revision 3866)
+++ self_assign.php	(working copy)
@@ -29,12 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("self_assign.tpl.html");
Index: confirm.php
===================================================================
--- confirm.php	(revision 3866)
+++ confirm.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("confirm.tpl.html");
Index: clock_status.php
===================================================================
--- clock_status.php	(revision 3866)
+++ clock_status.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("clock_status.tpl.html");
Index: view_note.php
===================================================================
--- view_note.php	(revision 3866)
+++ view_note.php	(working copy)
@@ -29,13 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("view_note.tpl.html");
Index: adv_search.php
===================================================================
--- adv_search.php	(revision 3866)
+++ adv_search.php	(working copy)
@@ -29,17 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.filter.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.user.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("adv_search.tpl.html");
Index: scm_ping.php
===================================================================
--- scm_ping.php	(revision 3866)
+++ scm_ping.php	(working copy)
@@ -36,10 +36,6 @@
 }
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.scm.php");
-require_once(APP_INC_PATH . "class.workflow.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 foreach ($_GET['issue'] as $issue_id) {
     $files = array();
Index: custom_fields.php
===================================================================
--- custom_fields.php	(revision 3866)
+++ custom_fields.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("custom_fields_form.tpl.html");
Index: view_headers.php
===================================================================
--- view_headers.php	(revision 3866)
+++ view_headers.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("view_headers.tpl.html");
Index: faq.php
===================================================================
--- faq.php	(revision 3866)
+++ faq.php	(working copy)
@@ -29,11 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.faq.php");
-require_once(APP_INC_PATH . "class.customer.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("faq.tpl.html");
Index: download.php
===================================================================
--- download.php	(revision 3866)
+++ download.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.attachment.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 Auth::checkAuthentication(APP_COOKIE);
 
Index: view.php
===================================================================
--- view.php	(revision 3866)
+++ view.php	(working copy)
@@ -29,20 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.time_tracking.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.impact_analysis.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.attachment.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "class.phone_support.php");
-require_once(APP_INC_PATH . "class.scm.php");
-require_once(APP_INC_PATH . "class.draft.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("view.tpl.html");
Index: list.php
===================================================================
--- list.php	(revision 3866)
+++ list.php	(working copy)
@@ -29,21 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.filter.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.group.php");
-require_once(APP_INC_PATH . "class.display_column.php");
-require_once(APP_INC_PATH . "class.search_profile.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("list.tpl.html");
Index: time_tracking.php
===================================================================
--- time_tracking.php	(revision 3866)
+++ time_tracking.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.time_tracking.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("add_time_tracking.tpl.html");
Index: update.php
===================================================================
--- update.php	(revision 3866)
+++ update.php	(working copy)
@@ -29,18 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.group.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $prj_id = Auth::getCurrentProject();
 $usr_id = Auth::getUserID();
Index: forgot_password.php
===================================================================
--- forgot_password.php	(revision 3866)
+++ forgot_password.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("forgot_password.tpl.html");
Index: offline.php
===================================================================
--- offline.php	(revision 3866)
+++ offline.php	(working copy)
@@ -29,7 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
 
 $tpl = new Template_Helper();
 if (php_sapi_name() == 'cli') {
Index: main.php
===================================================================
--- main.php	(revision 3866)
+++ main.php	(working copy)
@@ -29,14 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.stats.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.news.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.search_profile.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("main.tpl.html");
Index: post.php
===================================================================
--- post.php	(revision 3866)
+++ post.php	(working copy)
@@ -29,11 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("post.tpl.html");
Index: js/dynamic_custom_field.js.php
===================================================================
--- js/dynamic_custom_field.js.php	(revision 3866)
+++ js/dynamic_custom_field.js.php	(working copy)
@@ -1,8 +1,5 @@
 <?php
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 Auth::checkAuthentication(APP_COOKIE);
 
Index: help.php
===================================================================
--- help.php	(revision 3866)
+++ help.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.help.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("help/index.tpl.html");
Index: new.php
===================================================================
--- new.php	(revision 3866)
+++ new.php	(working copy)
@@ -29,18 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.group.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("new.tpl.html");
Index: csv.php
===================================================================
--- csv.php	(revision 3866)
+++ csv.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . '/init.php');
-require_once(APP_INC_PATH . 'class.auth.php');
-require_once(APP_INC_PATH . 'db_access.php');
 
 Auth::checkAuthentication(APP_COOKIE);
 
Index: removed_emails.php
===================================================================
--- removed_emails.php	(revision 3866)
+++ removed_emails.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("removed_emails.tpl.html");
Index: include/class.mime_helper.php
===================================================================
--- include/class.mime_helper.php	(revision 3866)
+++ include/class.mime_helper.php	(working copy)
@@ -40,7 +40,6 @@
 */
 
 require_once(APP_PEAR_PATH . "Mail/mimeDecode.php");
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to handle the business logic related to the MIME email
Index: include/class.issue.php
===================================================================
--- include/class.issue.php	(revision 3866)
+++ include/class.issue.php	(working copy)
@@ -27,33 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.time_tracking.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.attachment.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.pager.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.resolution.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.scm.php");
-require_once(APP_INC_PATH . "class.impact_analysis.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "class.phone_support.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.round_robin.php");
-require_once(APP_INC_PATH . "class.authorized_replier.php");
-require_once(APP_INC_PATH . "class.workflow.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.reminder_action.php");
-require_once(APP_INC_PATH . "class.search_profile.php");
-require_once(APP_INC_PATH . "class.session.php");
 
 /**
  * Class designed to handle all business logic related to the issues in the
Index: include/class.misc.php
===================================================================
--- include/class.misc.php	(revision 3866)
+++ include/class.misc.php	(working copy)
@@ -27,8 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Class to hold methods and algorythms that woudln't fit in other classes, such
Index: include/class.authorized_replier.php
===================================================================
--- include/class.authorized_replier.php	(revision 3866)
+++ include/class.authorized_replier.php	(working copy)
@@ -29,7 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.user.php");
 
 /**
  * Class designed to handle adding, removing and viewing authorized repliers for an issue.
Index: include/class.customer.php
===================================================================
--- include/class.customer.php	(revision 3866)
+++ include/class.customer.php	(working copy)
@@ -29,7 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . 'class.misc.php');
 
 // Constants used by customer class.
 define("CUSTOMER_EXCLUDE_EXPIRED", 1);
Index: include/class.history.php
===================================================================
--- include/class.history.php	(revision 3866)
+++ include/class.history.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
 
 /**
  * Class to handle the business logic related to the history information for
Index: include/autoload.php
===================================================================
--- include/autoload.php	(revision 0)
+++ include/autoload.php	(revision 0)
@@ -0,0 +1,84 @@
+<?php
+/**
+ * Autoload class for Eventum.
+ *
+ * @author Tarmo Lehtpuu <tarmo.lehtpuu@delfi.ee>
+ * @author Tanel Suurhans <tanel.suurhans@delfi.ee>
+ * @author Elan Ruusamäe <glen@delfi.ee>
+ *
+ * @package Eventum
+ */
+class Eventum_Autoload {
+
+	private static $excludes = array('.', '..', '.svn', 'CVS');
+	private static $classes;
+
+	public static function autoload($className) {
+		if (class_exists($className, false) || interface_exists($className, false)) {
+			return true;
+		}
+
+		// Zend framework
+		if (strpos($className, 'Zend') === 0){
+			require_once str_replace('_', '/', $className) . '.php';
+			return true;
+		}
+
+		// Smarty
+		if ($className === 'Smarty') {
+			require_once 'Smarty/Smarty.class.php';
+			return true;
+		}
+
+		if (!is_array(self::$classes)) {
+			self::$classes = array();
+			self::scan(dirname(__FILE__));
+		}
+
+		$className = strtolower($className);
+		if (array_key_exists($className, self::$classes)) {
+			require_once self::$classes[$className];
+			return true;
+		}
+
+		return false;
+	}
+
+	private static function scan($path) {
+
+		$dh = opendir($path);
+		while (($file = readdir($dh)) !== false) {
+			// omit exclusions
+			if (array_search($file, self::$excludes) !== false) {
+				continue;
+			}
+
+			// exclude hidden paths
+			if ($file[0] == '.') {
+				continue;
+			}
+
+			// recurse
+			if (is_dir($path . DIRECTORY_SEPARATOR . $file)) {
+				self::scan($path . DIRECTORY_SEPARATOR . $file);
+				continue;
+			}
+
+			// skip without .php extension
+			if (substr($file, -4) != '.php') {
+				continue;
+			}
+			$class = substr($file, 0, -4);
+
+			// rewrite from class.CLASSNAME.php
+			if (substr($class, 0, 6) === 'class.') {
+				$class = strtolower(substr($class, 6));
+
+				self::$classes[$class] = $path . DIRECTORY_SEPARATOR . $file;
+			}
+		}
+		closedir($dh);
+	}
+}
+
+spl_autoload_register(array('Eventum_Autoload', 'autoload'));
Index: include/class.note.php
===================================================================
--- include/class.note.php	(revision 3866)
+++ include/class.note.php	(working copy)
@@ -27,16 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.draft.php");
-require_once(APP_INC_PATH . "class.authorized_replier.php");
 
 /**
  * Class to handle the business logic related to adding, updating or
Index: include/class.template_helper.php
===================================================================
--- include/class.template_helper.php	(revision 3866)
+++ include/class.template_helper.php	(working copy)
@@ -31,12 +31,6 @@
 
 require_once(APP_PEAR_PATH . "Net/UserAgent/Detect.php");
 require_once(APP_SMARTY_PATH . "Smarty.class.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "class.link_filter.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
 
 /**
  * Class used to abstract the backend template system used by the site. This
Index: include/class.mail_helper.php
===================================================================
--- include/class.mail_helper.php	(revision 3866)
+++ include/class.mail_helper.php	(working copy)
@@ -27,12 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "class.mail_queue.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.reminder.php");
 require_once(APP_PEAR_PATH . "Mail/RFC822.php");
 
 /**
Index: include/custom_field/class.reporter_list.php
===================================================================
--- include/custom_field/class.reporter_list.php	(revision 3866)
+++ include/custom_field/class.reporter_list.php	(working copy)
@@ -27,8 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 
 /**
Index: include/custom_field/class.developer_list.php
===================================================================
--- include/custom_field/class.developer_list.php	(revision 3866)
+++ include/custom_field/class.developer_list.php	(working copy)
@@ -27,8 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 
 /**
Index: include/custom_field/class.dynamic.php
===================================================================
--- include/custom_field/class.dynamic.php	(revision 3866)
+++ include/custom_field/class.dynamic.php	(working copy)
@@ -27,8 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 
 /**
Index: include/class.db_helper.php
===================================================================
--- include/class.db_helper.php	(revision 3866)
+++ include/class.db_helper.php	(working copy)
@@ -30,7 +30,6 @@
 //
 
 require_once("DB.php");
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to manage all tasks related to the DB abstraction module. This is only
Index: include/class.search_profile.php
===================================================================
--- include/class.search_profile.php	(revision 3866)
+++ include/class.search_profile.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
 
 class Search_Profile
 {
Index: include/class.mail_queue.php
===================================================================
--- include/class.mail_queue.php	(revision 3866)
+++ include/class.mail_queue.php	(working copy)
@@ -28,12 +28,6 @@
 //
 
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "class.lock.php");
-require_once(APP_INC_PATH . "class.user.php");
 require_once(APP_PEAR_PATH . 'Mail.php');
 
 class Mail_Queue
Index: include/class.attachment.php
===================================================================
--- include/class.attachment.php	(revision 3866)
+++ include/class.attachment.php	(working copy)
@@ -28,15 +28,6 @@
 //
 
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.workflow.php");
 
 /**
  * Class designed to handle all business logic related to attachments being
Index: include/class.issue_field.php
===================================================================
--- include/class.issue_field.php	(revision 3866)
+++ include/class.issue_field.php	(working copy)
@@ -27,7 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.priority.php");
 
 /**
  * Manages fields that are associated with an issue but can be displayed in many different places.
Index: include/class.group.php
===================================================================
--- include/class.group.php	(revision 3866)
+++ include/class.group.php	(working copy)
@@ -29,12 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.prefs.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.project.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.pager.php
===================================================================
--- include/class.pager.php	(revision 3866)
+++ include/class.pager.php	(working copy)
@@ -29,7 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to manage paginated links on the frontend pages.
Index: include/class.draft.php
===================================================================
--- include/class.draft.php	(revision 3866)
+++ include/class.draft.php	(working copy)
@@ -27,7 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.email_account.php");
 
 class Draft
 {
Index: include/class.auth.php
===================================================================
--- include/class.auth.php	(revision 3866)
+++ include/class.auth.php	(working copy)
@@ -29,11 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.customer.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
 
 /**
  * Class to handle authentication issues.
Index: include/class.reminder.php
===================================================================
--- include/class.reminder.php	(revision 3866)
+++ include/class.reminder.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.reminder_action.php");
-require_once(APP_INC_PATH . "class.priority.php");
 
 /**
  * Class to handle the business logic related to the reminder emails
Index: include/customer/class.example.php
===================================================================
--- include/customer/class.example.php	(revision 3866)
+++ include/customer/class.example.php	(working copy)
@@ -27,8 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "customer/class.abstract_customer_backend.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
 
 /**
  * Example customer backend. This does not cover all functionality, but should provide an idea
Index: include/class.customer_stats_report.php
===================================================================
--- include/class.customer_stats_report.php	(revision 3866)
+++ include/class.customer_stats_report.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.time_tracking.php");
 require_once(APP_PEAR_PATH . "Math/Stats.php");
 
 /**
Index: include/class.report.php
===================================================================
--- include/class.report.php	(revision 3866)
+++ include/class.report.php	(working copy)
@@ -29,14 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.phone_support.php");
-require_once(APP_INC_PATH . "class.prefs.php");
 require_once(APP_PEAR_PATH . "Math/Stats.php");
 
 /**
Index: include/class.date_helper.php
===================================================================
--- include/class.date_helper.php	(revision 3866)
+++ include/class.date_helper.php	(working copy)
@@ -32,8 +32,6 @@
 // this line needed to make sure PEAR knows all eventum dates are stored as UTC (GMT).
 $_DATE_TIMEZONE_DEFAULT = 'UTC';
 
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.prefs.php");
 require_once(APP_PEAR_PATH . "Date.php");
 
 if (!defined('APP_DEFAULT_TIMEZONE')) {
